# 32/64bit spec

Name:		antlr3-C
Version:	3.4
Release:	%mkrel 2
Summary:	ANother Tool for Language Recognition
License:	BSD
Group:		Development/Java
URL:		http://www.antlr3.org/
Source0:	libantlr3c-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
C run-time support for ANTLR-generated parsers

%package devel
Summary:	Header files for the C bindings for ANTLR-generated parsers
License:	BSD
Group:		Development/Java
Requires:	%name = %version
# the following is bullshit but necessary to get belle-sip-devel installed
# hopefully it does not break anything
%ifarch x86_64
Provides:	devel(libantlr3c(64bit))
%else
Provides:	devel(libantlr3c)
%endif

%description devel
Header files for the C bindings for ANTLR-generated parsers

%prep
%setup -q -n libantlr3c-%{version}

%build
%configure2_5x --disable-static \
%ifarch x86_64
	--disable-abiflags \
	--enable-64bit
%else
	--disable-abiflags
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove la file
rm -f %{buildroot}%{_libdir}/libantlr3c.la

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libantlr3c.so

%files devel
%defattr(-,root,root)
%{_includedir}/*.h

%changelog
* Tue Jul 29 2014 ghostbunny <ghostbunny at gmx dot de> 3.4-2pclos2014
- recreation of spec because nothing else available

